For the complete documentation index, see llms.txt. Every page is also served as Markdown at its URL followed by .md.

standards
ListAPI reference

List


GET
/files

Query Parameters

limit?integer
Range1 <= value <= 9007199254740991
offset?integer
Range0 <= value <= 9007199254740991
folderPath?string
mimeType?string
ocrStatus?string
Value in"pending""processing""completed""failed""unsupported""skipped"
processedAfter?string
Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
Formatdate-time
processedAfterId?string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
Formatuuid
packed?boolean|
ids?string

Response Body

Example Request
curl -X GET 'https://api.standards.new/v1/files'
Example Response200
Empty